
From: Adrian Bunk <bunk@stusta.de>

The patch below removes an unused function from kernel/sched.c

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null              |    0 
 25-akpm/kernel/sched.c |    6 ------
 2 files changed, 6 deletions(-)

diff -puN kernel/sched.c~schedc-remove-an-unused-function-fwd kernel/sched.c
--- 25/kernel/sched.c~schedc-remove-an-unused-function-fwd	Thu Dec  9 13:37:20 2004
+++ 25-akpm/kernel/sched.c	Thu Dec  9 13:37:20 2004
@@ -441,12 +441,6 @@ static runqueue_t *this_rq_lock(void)
 	return rq;
 }
 
-static inline void rq_unlock(runqueue_t *rq)
-	__releases(rq->lock)
-{
-	spin_unlock_irq(&rq->lock);
-}
-
 #ifdef CONFIG_SCHED_SMT
 static int cpu_and_siblings_are_idle(int cpu)
 {
diff -L kernel/sched.c.old -puN /dev/null /dev/null
_
